package com.ruoyi.os.service;

import java.util.List;
import com.ruoyi.os.domain.HealthcareOsConventionalValue;

/**
 * 字典Service接口
 *
 * @author 何顺
 * @date 2024-09-29
 */
public interface IHealthcareOsConventionalValueService
{
    /**
     * 查询字典
     *
     * @param id 字典主键
     * @return 字典
     */
    public HealthcareOsConventionalValue selectHealthcareOsConventionalValueById(Long id);

    /**
     * 查询字典列表
     *
     * @param healthcareOsConventionalValue 字典
     * @return 字典集合
     */
    public List<HealthcareOsConventionalValue> selectHealthcareOsConventionalValueList(HealthcareOsConventionalValue healthcareOsConventionalValue);

    /**
     * 新增字典
     *
     * @param healthcareOsConventionalValue 字典
     * @return 结果
     */
    public int insertHealthcareOsConventionalValue(HealthcareOsConventionalValue healthcareOsConventionalValue);

    /**
     * 修改字典
     *
     * @param healthcareOsConventionalValue 字典
     * @return 结果
     */
    public int updateHealthcareOsConventionalValue(HealthcareOsConventionalValue healthcareOsConventionalValue);

    /**
     * 批量删除字典
     *
     * @param ids 需要删除的字典主键集合
     * @return 结果
     */
    public int deleteHealthcareOsConventionalValueByIds(Long[] ids);

    /**
     * 删除字典信息
     *
     * @param id 字典主键
     * @return 结果
     */
    public int deleteHealthcareOsConventionalValueById(Long id);


    /**
     *  @param name 字典名字
     *  @return 数组
     */
    public List<HealthcareOsConventionalValue> queryDictionaryValueList(String name);

    /**
     *  @param name 字典名字
     *  @param value 模糊 查询
     *  @return 数组
     */
    public List<HealthcareOsConventionalValue> queryDictionaryValueList(String name , String value);

    /**
     *  @param name 字典名字
     *  @return id
     */
    public Long queryDictionaryId(String name);
    /**
     *  @param id 字典父主键
     *  @param value 添加 的 数值
     *  @return 成功
     */
    public int  addDictionaryValue(Long id , String value);

    /**
     *  @param id 字典父主键
     *  @param name 添加 的 现在
     *  @param value 添加 的 数值
     *  @return 成功
     */
    public int  addDictionaryValue(Long id , String name, String value);

    /**
     *  @param id 字典主键
     *  @param value 修改 的 数值
     *  @return 成功
     */
    public int  updateDictionaryValue(Long id , String value);
    /**
     *  @param id 字典主键
     *  @param name 修改 的 显示
     *  @param value 修改 的 数值
     *  @return 成功
     */
    public int  updateDictionaryValue(Long id , String name, String value);
}
